[Home](readme.md)  

# Installing Docker #  

**Windows 10**  

Download and install the Docker Desktop for Windows application here: https://docs.docker.com/docker-for-windows/install/  
Once the Docker application has finished installing, the Docker icon will appear in the taskbar.  
Docker Desktop can host Windows and Linux based containers, but cannot run both types simultaneously.  
To verify that Docker is configured to run Windows containers:  
        In the system tray, click on the Docker icon (white whale) to open the pop-up menu.  
        The menu will have the option to switch to Windows or Linux containers.  
        <img src="images/SwitchContainers.jpg" width="200">

**Windows Server 2016 (and newer)**

On Windows Server the Docker application is installed using PowerShell. 

Open a PowerShell session As Administrator.

<code>Set-ExecutionPolicy bypass;  
Install-PackageProvider -Name NuGet -MinimumVersion 2.8.5.201 -Force;  
Install-Module -Name DockerMsftProvider -Force;  
Install-Package -Name docker -ProviderName DockerMsftProvider -Force;  
Restart-Computer -Force;</code>  

Note: check with your organization’s IT security administrator(s) before changing the PowerShell execution policy.